LibKstat.KstatNamed.UNION (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.solaris, interface: LibKstat, class: KstatNamed, class: UNION

Package com.sun.jna.platform.unix.solaris

# Class LibKstat.KstatNamed.UNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.unix.solaris.LibKstat.KstatNamed.UNION

Enclosing class:
  LibKstat.KstatNamed

public static class LibKstat.KstatNamed.UNION extends Union

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LibKstat.KstatNamed.UNION.STR`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `charc`
  `int`
  `i32`
  `long`
  `i64`
  `LibKstat.KstatNamed.UNION.STR`
  `str`
  `int`
  `ui32`
  `long`
  `ui64`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UNION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### charc

    public byte[] charc

  - ### i32

    public int i32

  - ### ui32

    public int ui32

  - ### i64

    public long i64

  - ### ui64

    public long ui64

  - ### str

    public LibKstat.KstatNamed.UNION.STR str

- ## Constructor Details

  - ### UNION

    public UNION()